<?php 
require_once "../modelos/Consultas.php";

$consulta = new Consultas();

switch ($_GET["op"]) {
	

  case 'comprasfecha':
    $fecha_inicio=$_REQUEST["fecha_inicio"];
    $fecha_fin=$_REQUEST["fecha_fin"];

    $rspta=$consulta->comprasfecha($fecha_inicio,$fecha_fin);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $data[]=array(
            "0"=>$reg->fecha,
            "1"=>$reg->usuario,
            "2"=>$reg->proveedor,
            "3"=>$reg->tipo_comprobante,
            "4"=>$reg->serie_comprobante.' '.$reg->num_comprobante,
            "5"=>$reg->total_compra,
            "6"=>$reg->impuesto,
            "7"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
              );
    }
    $results=array(
            "sEcho"=>1,//info para datatables
            "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
            "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
            "aaData"=>$data); 
    //echo json_encode($results);
    //echo $results;
  break;
    
  case 'compraslibrodecompras':
    $fecha_inicio=$_REQUEST["fecha_inicio"];
    $fecha_fin=$_REQUEST["fecha_fin"];

    $rspta=$consulta->compraslibrodecompras($fecha_inicio,$fecha_fin);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $data[]=array(
            "0"=>$reg->fecha,
            "1"=>$reg->proveedor,
            "2"=>$reg->tipo_comprobante,
            "3"=>$reg->serie_comprobante.' '.$reg->num_comprobante,
            "4"=>number_format($reg->total_compra,2,',','.'),
            "5"=>$reg->impuesto,
            "6"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
              );
    }
    $results=array(
            "sEcho"=>1,//info para datatables
            "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
            "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
            "aaData"=>$data); 
    echo json_encode($results);
    //echo $results;
  break;

  case 'diasdevencimiento':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    $idcliente    =$_POST['idcliente'];
    $idvendedor   =$_POST['idvendedor'];
    $rspta=$consulta->diasdevencimiento($fecha_inicio,$fecha_fin,$idcliente,$idvendedor);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $total_ventaimpuestod   = $reg->total_ventad;
      if ($reg->estado=='Anulado'){
        $total_ventaimpuestod   = 0;
      }
      $diacobranza      = '';
      $estadodocumento = '';
      $num_comprobante  = $reg->num_comprobante;
      if ($reg->estado==''){
        $num_comprobante='Sin Factura';
      }
      $estadodocumento           = '<span class="badge bg-orangel">'.$reg->estado.'</span>';
      if ($reg->estado=='Pendiente'){
        $estadodocumento  = '<span class="badge bg-red">Pendiente</span>';
        $diacobranza      = '<span class="badge bg-red">'.$reg->diasdecobranza.'</span>';
      }else{
        if ($reg->estado=='Parcial'){
          $estadodocumento = '<span class="badge bg-yellow">Parcial</span>';
          $diacobranza      = '<span class="badge bg-yellow">'.$reg->diasdecobranza.'</span>';
        }else{
          if ($reg->estado=='Pagada'){
            $estadodocumento = '<span class="badge bg-green">Pagada</span>';
            $diacobranza     = '<span class="badge bg-green">'.$reg->diasdecobranza.'</span>';
          }else{
            if ($reg->estado=='Facturado'){
              $estadodocumento = '<span class="badge bg-green">Pagada</span>';
              $diacobranza     = '<span class="badge bg-green">'.$reg->diasdecobranza.'</span>';
            }else{
              $estadodocumento = '<span class="badge bg-navy">'.$reg->estado.'</span>';
             
            }
              
          }
        }
      }
      $data[]=array(
        "0"=>$reg->fecha,
        "1"=>$reg->cliente,
        "2"=>$reg->num_comprobante1,
        "3"=>$reg->num_comprobante,
        "4"=>$reg->vendedor,
        "5"=>$reg->zona,
        /* "6"=>$reg->subzona, */
        "6"=>$diacobranza,
        "7"=>$total_ventaimpuestod,
        //"7"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
        "8"=>$estadodocumento
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;

  case 'ventasrankingproductos':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
   /*  $idcliente    =$_POST['idcliente']; */
    $idvendedor   =$_POST['idvendedor'];
    $rspta=$consulta->ventasrankingproductos($fecha_inicio,$fecha_fin,$idvendedor);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      
      
      $data[]=array(
        /* "0"=>$reg->vendedor, */
        "0"=>$reg->articulo,
        "1"=>$reg->cantidad,
        "2"=>$reg->precio,
        "3"=>$reg->montove
        /* "5"=>$reg->cajas,
        "6"=>$total_ventaimpuestod,
        "7"=>($reg->estadodocumento=='Pagada')?$total_ventaimpuestod:$abono,
        "8"=>$montopendiented,
        "9"=>$diacobranza,
        "10"=>$estadodocumento */
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;    
  
  case 'inventarioalmacenproducto':
    /* $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin']; 
    $idalmacen    =$_POST['idalmacen'];*/
    $idarticulo    =$_POST['idarticulo'];
    $rspta=$consulta->inventarioalmacenproducto($idarticulo);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $stock = $reg->almacen1+$reg->almacen2+$reg->almacen3+$reg->almacen4+$reg->almacen5;
      $data[]=array(
        
        "0"=>$reg->articulo,
        "1"=>$reg->almacen1,
        "2"=>$reg->almacen2,
        "3"=>$reg->almacen3,
        "4"=>$reg->almacen4,
        "5"=>$reg->almacen5,
        "6"=>$stock,
        );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;


  case 'diasdevencimientodetalladoycobros':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    $idcliente    =$_POST['idcliente'];
    $idvendedor   =$_POST['idvendedor'];
    $rspta=$consulta->diasdevencimientodetalladoycobros($fecha_inicio,$fecha_fin,$idcliente,$idvendedor);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $total_ventaimpuestod   = $reg->total_ventaimpuestod;
      $total_ventaimpuesto    = $reg->total_ventaimpuesto;
      $abono                  = $reg->abonof1;
      $abonob                 = $reg->abonobf1;
      /* $montopendiented        = $reg->montopendiented;
      $montopendiente         = $reg->montopendienteb; */
      $montopendiented        = $reg->saldo;
      $montopendiente         = $reg->saldob;
      if ($reg->estadodocumento=='Anulado'){
        $total_ventaimpuestod   = 0;
        $total_ventaimpuesto    = 0;
        $abono                  = 0;
        $abonob                 = 0;
        $montopendiented        = 0;
        $montopendiente         = 0;
      }
      $diacobranza      = '';
      $num_comprobante  = $reg->num_comprobante;
      if ($reg->num_comprobante==''){
        $num_comprobante='Sin Factura';
      }
      $estadodocumento           = '<span class="badge bg-orangel">'.$reg->estadodocumento.'</span>';
      if ($reg->estadodocumento=='Pendiente'){
        $estadodocumento  = '<span class="badge bg-blue">Por Cobrar</span>';
        $diacobranza      = '<span class="badge bg-red">'.$reg->diasdecobranza.'</span>';
      }else{
        if ($reg->estadodocumento=='Parcial'){
          $estadodocumento = '<span class="badge bg-yellow">Parcial</span>';
          $diacobranza      = '<span class="badge bg-red">'.$reg->diasdecobranza.'</span>';
        }else{
          if ($reg->estadodocumento=='Pagada'){
            $estadodocumento = '<span class="badge bg-green">Cobrada</span>';
            $diacobranza     = '<span class="badge bg-blue">'.$reg->diasdecobranza.'</span>';
          }else{
            if ($reg->estadodocumento=='Facturado'){
              $estadodocumento = '<span class="badge bg-green">Cobrada</span>';
              $diacobranza     = '<span class="badge bg-blue">'.$reg->diasdecobranza.'</span>';
            }else{
              $estadodocumento = '<span class="badge bg-red">'.$reg->estadodocumento.'</span>';
             
            }
              
          }
        }
      }

      $data[]=array(
        "0"=>$reg->fecha,
        "1"=>$reg->fechadespacho,
        "2"=>$reg->fechapago,
        "3"=>$diacobranza,
        "4"=>$reg->cliente,
        "5"=>$reg->num_comprobante1,
        "6"=>$num_comprobante,
        "7"=>$total_ventaimpuestod,
        "8"=>$total_ventaimpuesto,
        "9"=>($reg->estadodocumento=='Pagada')?$total_ventaimpuestod:$abono,
        "10"=>($reg->estadodocumento=='Pagada')?$total_ventaimpuesto:$abonob,
        "11"=>$montopendiented,
        "12"=>$montopendiente,
        "13"=>$reg->tasa_dollar,
        "14"=>$reg->tasacambiopago,
        "15"=>$reg->cuenta,
        "16"=>$reg->formadepago,
        "17"=>$reg->referencia,
        "18"=>$reg->vendedor,
        "19"=>$reg->zona,
        "20"=>$reg->subzona,
        "21"=>$estadodocumento
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;

  case 'diasdevencimientosaldo':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    $idcliente    =$_POST['idcliente'];
    $idvendedor   =$_POST['idvendedor'];
    $rspta=$consulta->diasdevencimientosaldo($fecha_inicio,$fecha_fin,$idcliente,$idvendedor);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $total_ventaimpuestod   = $reg->deuda;
      $total_ventaimpuesto    = $reg->deudab;
      $abono                  = $reg->cobrado;
      $abonob                 = $reg->cobradob;
      /* $montopendiented        = $reg->montopendiented;
      $montopendiente         = $reg->montopendienteb; */
      $montopendiented        = $reg->saldo;
      $montopendiente         = $reg->saldob;
      if ($reg->estadodocumento=='Anulado'){
        $total_ventaimpuestod   = 0;
        $total_ventaimpuesto    = 0;
        $abono                  = 0;
        $abonob                 = 0;
        $montopendiented        = 0;
        $montopendiente         = 0;
      }
      $diacobranza      = '';
      $num_comprobante  = $reg->num_comprobante;
      if ($reg->num_comprobante==''){
        $num_comprobante='Sin Factura';
      }
      $estadodocumento           = '<span class="badge bg-orangel">'.$reg->estadodocumento.'</span>';
      if ($reg->estadodocumento=='Pendiente'){
        $estadodocumento  = '<span class="badge bg-red">Pendiente</span>';
        $diacobranza      = '<span class="badge bg-red">'.$reg->diasdecobranza.'</span>';
      }else{
        if ($reg->estadodocumento=='Parcial'){
          $estadodocumento = '<span class="badge bg-yellow">Parcial</span>';
          $diacobranza      = '<span class="badge bg-yellow">'.$reg->diasdecobranza.'</span>';
        }else{
          if ($reg->estadodocumento=='Pagada'){
            $estadodocumento = '<span class="badge bg-green">Pagada</span>';
            $diacobranza     = '<span class="badge bg-green">'.$reg->diasdecobranza.'</span>';
          }else{
            if ($reg->estadodocumento=='Facturado'){
              $estadodocumento = '<span class="badge bg-green">Pagada</span>';
              $diacobranza     = '<span class="badge bg-green">'.$reg->diasdecobranza.'</span>';
            }else{
              $estadodocumento = '<span class="badge bg-navy">'.$reg->estadodocumento.'</span>';
             
            }
              
          }
        }
      }

      $data[]=array(
        "0"=>$reg->fecha,
        "1"=>$reg->fechadespacho,
        "2"=>$reg->fechapago,
        "3"=>$diacobranza,
        "4"=>$reg->cliente,
        "5"=>$reg->num_comprobante1,
        "6"=>$num_comprobante,
        "7"=>$total_ventaimpuestod,
        "8"=>$total_ventaimpuesto,
        "9"=>($reg->estadodocumento=='Pagada')?$total_ventaimpuestod:$abono,
        "10"=>($reg->estadodocumento=='Pagada')?$total_ventaimpuesto:$abonob,
        "11"=>$montopendiented,
        "12"=>$montopendiente,
        "13"=>$reg->tasa_dollar,
       /*  "14"=>$reg->tasacambiopago,
        "15"=>$reg->cuenta,
        "16"=>$reg->formadepago,
        "17"=>$reg->referencia, */
        "14"=>$reg->vendedor,
        "15"=>$reg->zona,
        "16"=>$reg->subzona,
        "17"=>$estadodocumento
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;

  case 'diasdevencimientosaldod':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    $idcliente    =$_POST['idcliente'];
    $idvendedor   =$_POST['idvendedor'];
    $rspta=$consulta->diasdevencimientosaldo($fecha_inicio,$fecha_fin,$idcliente,$idvendedor);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $total_ventaimpuestod   = $reg->deuda;
      $total_ventaimpuesto    = $reg->deudab;
      $abono                  = $reg->cobrado;
      $abonob                 = $reg->cobradob;
      /* $montopendiented        = $reg->montopendiented;
      $montopendiente         = $reg->montopendienteb; */
      $montopendiented        = $reg->saldo;
      $montopendiente         = $reg->saldob;
      if ($reg->estadodocumento=='Anulado'){
        $total_ventaimpuestod   = 0;
        $total_ventaimpuesto    = 0;
        $abono                  = 0;
        $abonob                 = 0;
        $montopendiented        = 0;
        $montopendiente         = 0;
      }
      $diacobranza      = '';
      $num_comprobante  = $reg->num_comprobante;
      if ($reg->num_comprobante==''){
        $num_comprobante='Sin Factura';
      }
      $estadodocumento           = '<span class="badge bg-orangel">'.$reg->estadodocumento.'</span>';
      if ($reg->estadodocumento=='Pendiente'){
        $estadodocumento  = '<span class="badge bg-red">Pendiente</span>';
        $diacobranza      = '<span class="badge bg-red">'.$reg->diasdecobranza.'</span>';
      }else{
        if ($reg->estadodocumento=='Parcial'){
          $estadodocumento = '<span class="badge bg-yellow">Parcial</span>';
          $diacobranza      = '<span class="badge bg-yellow">'.$reg->diasdecobranza.'</span>';
        }else{
          if ($reg->estadodocumento=='Pagada'){
            $estadodocumento = '<span class="badge bg-green">Pagada</span>';
            $diacobranza     = '<span class="badge bg-green">'.$reg->diasdecobranza.'</span>';
          }else{
            if ($reg->estadodocumento=='Facturado'){
              $estadodocumento = '<span class="badge bg-green">Pagada</span>';
              $diacobranza     = '<span class="badge bg-green">'.$reg->diasdecobranza.'</span>';
            }else{
              $estadodocumento = '<span class="badge bg-red">'.$reg->estadodocumento.'</span>';
             
            }
              
          }
        }
      }

      $data[]=array(
        "0"=>$reg->fecha,
        "1"=>$reg->fechadespacho,
        "2"=>$reg->fechapago,
        "3"=>$diacobranza,
        "4"=>$reg->cliente,
        "5"=>$reg->num_comprobante1,
        "6"=>$num_comprobante,
        "7"=>$total_ventaimpuestod,
        /* "8"=>$total_ventaimpuesto, */
        "8"=>($reg->estadodocumento=='Pagada')?$total_ventaimpuestod:$abono,
       /*  "10"=>($reg->estadodocumento=='Pagada')?$total_ventaimpuesto:$abonob, */
        "9"=>$montopendiented,
      /*  "12"=>$montopendiente,
        "13"=>$reg->tasa_dollar,
         "14"=>$reg->tasacambiopago,
        "15"=>$reg->cuenta,
        "16"=>$reg->formadepago,
        "17"=>$reg->referencia, */
        "10"=>$reg->vendedor,
        "11"=>$reg->zona,
       /*  "16"=>$reg->subzona, */
        "12"=>$estadodocumento
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;

  case 'diasdevencimientosaldo1':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    $idcliente    =$_POST['idcliente'];
    $idvendedor   =$_POST['idvendedor'];
    $rspta=$consulta->diasdevencimientosaldo($fecha_inicio,$fecha_fin,$idcliente,$idvendedor);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $total_ventaimpuestod   = $reg->deuda;
      $total_ventaimpuesto    = $reg->deudab;
      $abono                  = $reg->cobrado;
      $abonob                 = $reg->cobradob;
      /* $montopendiented        = $reg->montopendiented;
      $montopendiente         = $reg->montopendienteb; */
      $montopendiented        = $reg->saldo;
      $montopendiente         = $reg->saldob;
      if ($reg->estadodocumento=='Anulado'){
        $total_ventaimpuestod   = 0;
        $total_ventaimpuesto    = 0;
        $abono                  = 0;
        $abonob                 = 0;
        $montopendiented        = 0;
        $montopendiente         = 0;
      }
      $diacobranza      = '';
      $num_comprobante  = $reg->num_comprobante;
      if ($reg->num_comprobante==''){
        $num_comprobante='Sin Factura';
      }
      $estadodocumento           = '<span class="badge bg-orangel">'.$reg->estadodocumento.'</span>';
      if ($reg->estadodocumento=='Pendiente'){
        $estadodocumento  = '<span class="badge bg-blue">Por Cobrar</span>';
        $diacobranza      = '<span class="badge bg-red">'.$reg->diasdecobranza.'</span>';
      }else{
        if ($reg->estadodocumento=='Parcial'){
          $estadodocumento = '<span class="badge bg-yellow">Parcial</span>';
          $diacobranza      = '<span class="badge bg-red">'.$reg->diasdecobranza.'</span>';
        }else{
          if ($reg->estadodocumento=='Pagada'){
            $estadodocumento = '<span class="badge bg-green">Cobrada</span>';
            $diacobranza     = '<span class="badge bg-blue">'.$reg->diasdecobranza.'</span>';
          }else{
            if ($reg->estadodocumento=='Facturado'){
              $estadodocumento = '<span class="badge bg-green">Cobrada</span>';
              $diacobranza     = '<span class="badge bg-blue">'.$reg->diasdecobranza.'</span>';
            }else{
              $estadodocumento = '<span class="badge bg-red">'.$reg->estadodocumento.'</span>';
             
            }
              
          }
        }
      }

      $diacredito   = '';
      $status       = '';
      if ($reg->diacredito>=0) {
        $diacredito = '<span class="badge bg-yellow">'.($reg->diacredito).'</span>';
        $status     = 'No vencido';         
      }else{
         $diacredito = '<span class="badge bg-red">'.($reg->diacredito*-1).'</span>';
         $status     = 'Vencido';
      }

      if(($reg->estadodocumento=='Pagada')||($reg->estadodocumento=='Facturado')){
        $diacredito     = '<span class="badge bg-green">'.($reg->diacredito*1).'</span>';
      }
      
      if(($reg->estadodocumento<>'Pagada')and($reg->estadodocumento<>'Facturado')and($reg->estadodocumento<>'Anulado')){
        $data[]=array(
          "0"=>$reg->cliente,
          "1"=>$reg->num_comprobante1,
          "2"=>$reg->fecha,
          "3"=>$reg->fechadespacho,
          "4"=>$status,
          "5"=>$diacredito,
          "6"=>$total_ventaimpuestod,
          "7"=>($reg->estadodocumento=='Pagada')?$total_ventaimpuestod:$abono,
          "8"=>$montopendiented,
          "9"=>$estadodocumento
        );
      }
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;

  case 'diasdevencimientosaldopagadas':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    $idcliente    =$_POST['idcliente'];
    $idvendedor   =$_POST['idvendedor'];
    $rspta=$consulta->diasdevencimientosaldopagadas($fecha_inicio,$fecha_fin,$idcliente,$idvendedor);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $total_ventaimpuestod   = $reg->deuda;
      $total_ventaimpuesto    = $reg->deudab;
      $abono                  = $reg->cobrado;
      $abonob                 = $reg->cobradob;
      /* $montopendiented        = $reg->montopendiented;
      $montopendiente         = $reg->montopendienteb; */
      $montopendiented        = $reg->saldo;
      $montopendiente         = $reg->saldob;
      if ($reg->estadodocumento=='Anulado'){
        $total_ventaimpuestod   = 0;
        $total_ventaimpuesto    = 0;
        $abono                  = 0;
        $abonob                 = 0;
        $montopendiented        = 0;
        $montopendiente         = 0;
      }
      $diacobranza      = '';
      $num_comprobante  = $reg->num_comprobante;
      if ($reg->num_comprobante==''){
        $num_comprobante='Sin Factura';
      }
      $estadodocumento           = '<span class="badge bg-orangel">'.$reg->estadodocumento.'</span>';
      if ($reg->estadodocumento=='Pendiente'){
        $estadodocumento  = '<span class="badge bg-red">Pendiente</span>';
        $diacobranza      = '<span class="badge bg-red">'.$reg->diasdecobranza.'</span>';
      }else{
        if ($reg->estadodocumento=='Parcial'){
          $estadodocumento = '<span class="badge bg-yellow">Parcial</span>';
          $diacobranza      = '<span class="badge bg-yellow">'.$reg->diasdecobranza.'</span>';
        }else{
          if ($reg->estadodocumento=='Pagada'){
            $estadodocumento = '<span class="badge bg-green">Pagada</span>';
            $diacobranza     = '<span class="badge bg-green">0</span>';
            if($reg->diasdecobranza>$reg->dcredito){
             $diacobranza     = '<span class="badge bg-red">'.($reg->diasdecobranza-$reg->dcredito).'</span>';
            }
           
          }else{
            if ($reg->estadodocumento=='Facturado'){
              $estadodocumento = '<span class="badge bg-green">Pagada</span>';
              $diacobranza     = '<span class="badge bg-green">'.$reg->diasdecobranza.'</span>';
            }else{
              $estadodocumento = '<span class="badge bg-navy">'.$reg->estadodocumento.'</span>';
             
            }
              
          }
        }
      }

      $data[]=array(
        "0"=>$reg->cliente,
        "1"=>$reg->num_comprobante1,
        "2"=>($reg->estadodocumento=='Pagada')?$total_ventaimpuestod:$abono,
        "3"=>$reg->fecha,
        "4"=>$reg->fechadespacho,
        "5"=>$reg->fechainiciocredito,
        "6"=>$reg->fechafindecredito,
        "7"=>$reg->fechapago,
        "8"=>$reg->dcredito,
        "9"=>$diacobranza,
      /*   "8"=>$reg->diasdecobranza,
        
       
       "6"=>$num_comprobante,
        "7"=>$total_ventaimpuestod,
        "8"=>$total_ventaimpuesto,
       
        "10"=>($reg->estadodocumento=='Pagada')?$total_ventaimpuesto:$abonob,
        "11"=>$montopendiented,
        "12"=>$montopendiente,
       
         "14"=>$reg->tasacambiopago,
        "15"=>$reg->cuenta,
        "16"=>$reg->formadepago,
        "17"=>$reg->referencia,
        "14"=>$reg->vendedor,
        "15"=>$reg->zona,
        "16"=>$reg->subzona,
        "17"=>$estadodocumento */
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;

/* 

"1"=>'<div align="center">'.date("d-m-Y", strtotime($reg->fecha)).'</div>',
            "2"=>'<div align="left">'.substr($reg->cliente,0,50).'</div>',
            "3"=>'<div align="left">'.$reg->usuario.'</div>',
            "4"=>'<div align="center">'.$reg->num_comprobante1.'</div>',
            "5"=>'<div align="center">'.$linea2.'</div>',
            "6"=>'<div align="right">'.number_format($reg->total_ventaimpuestod,2,',','.').'</div>',
						"7"=>'<div align="right">'.number_format($reg->montoigtfporcentaje,2,',','.').'</div>',
						"8"=>'<div align="right">'.number_format($reg->saldo,2,',','.').'</div>',
						"9"=>'<div align="center">'.$colorestado.'</div>',


*/

  case 'diasdevencimientosaldopagadas2':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    $idcliente    =$_POST['idcliente'];
    $idvendedor   =$_POST['idvendedor'];
    $rspta=$consulta->diasdevencimientosaldopagadas2($fecha_inicio,$fecha_fin,$idcliente,$idvendedor);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $total_ventaimpuestod   = $reg->deuda;
      $total_ventaimpuesto    = $reg->deudab;
      $abono                  = $reg->cobrado;
      $abonob                 = $reg->cobradob;
      /* $montopendiented        = $reg->montopendiented;
      $montopendiente         = $reg->montopendienteb; */
      $montopendiented        = $reg->saldo;
      $montopendiente         = $reg->saldob;
      if ($reg->estadodocumento=='Anulado'){
        $total_ventaimpuestod   = 0;
        $total_ventaimpuesto    = 0;
        $abono                  = 0;
        $abonob                 = 0;
        $montopendiented        = 0;
        $montopendiente         = 0;
      }
      $diacobranza      = '';
      $num_comprobante  = $reg->num_comprobante;
      if ($reg->num_comprobante==''){
        $num_comprobante='Sin Factura';
      }
      $estadodocumento           = '<span class="badge bg-orangel">'.$reg->estadodocumento.'</span>';
      if ($reg->estadodocumento=='Pendiente'){
        $estadodocumento  = '<span class="badge bg-red">Pendiente</span>';
        $diacobranza      = '<span class="badge bg-red">'.$reg->diasdecobranza.'</span>';
      }else{
        if ($reg->estadodocumento=='Parcial'){
          $estadodocumento = '<span class="badge bg-yellow">Parcial</span>';
          $diacobranza      = '<span class="badge bg-yellow">'.$reg->diasdecobranza.'</span>';
        }else{
          if ($reg->estadodocumento=='Pagada'){
            $estadodocumento = '<span class="badge bg-green">Pagada</span>';
            $diacobranza     = '<span class="badge bg-green">0</span>';
            if($reg->diasdecobranza>$reg->dcredito){
             $diacobranza     = '<span class="badge bg-red">'.($reg->diasdecobranza-$reg->dcredito).'</span>';
            }
           
          }else{
            if ($reg->estadodocumento=='Facturado'){
              $estadodocumento = '<span class="badge bg-green">Pagada</span>';
              $diacobranza     = '<span class="badge bg-green">'.$reg->diasdecobranza.'</span>';
            }else{
              $estadodocumento = '<span class="badge bg-navy">'.$reg->estadodocumento.'</span>';
             
            }
              
          }
        }
      }

      $data[]=array(
        "0"=>'<div align="center">'.$reg->cliente.'</div>',
        "1"=>'<div align="center">'.$reg->num_comprobante1,
        "2"=>'<div align="center">'.($reg->estadodocumento=='Pagada')?$total_ventaimpuestod:$abono.'</div>',
        "3"=>'<div align="center">'.$reg->fecha.'</div>',
        "4"=>'<div align="center">'.$reg->fechadespacho.'</div>',
        "5"=>'<div align="center">'.$reg->dcredito.'</div>',
        "6"=>'<div align="center">'.$reg->fechainiciocredito.'</div>',
        "7"=>'<div align="center">'.$reg->fechafindecredito.'</div>',
        "8"=>'<div align="center">'.$reg->fechapago.'</div>',
        "9"=>'<div align="center">'.$diacobranza.'</div>',
      /*   "8"=>$reg->diasdecobranza,
        
       
       "6"=>$num_comprobante,
        "7"=>$total_ventaimpuestod,
        "8"=>$total_ventaimpuesto,
       
        "10"=>($reg->estadodocumento=='Pagada')?$total_ventaimpuesto:$abonob,
        "11"=>$montopendiented,
        "12"=>$montopendiente,
       
         "14"=>$reg->tasacambiopago,
        "15"=>$reg->cuenta,
        "16"=>$reg->formadepago,
        "17"=>$reg->referencia,
        "14"=>$reg->vendedor,
        "15"=>$reg->zona,
        "16"=>$reg->subzona,
        "17"=>$estadodocumento */
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;


  case 'impuestoslrfecha':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    $idcliente    =$_POST['idcliente'];
    $rspta=$consulta->impuestoslrfecha($fecha_inicio,$fecha_fin,$idcliente);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $data[]=array(
        
        "0"=>$reg->fecha,
        "1"=>$reg->nombre,
        "2"=>$reg->serie_comprobante,
        "3"=>$reg->total_compra,
        "4"=>$reg->porcentajeimpuesto,
        //"7"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
        "5"=>$reg->retencion,
        "6"=>'<a target="_blank" href="reportes/Impuestoslr.php?id='.$reg->idingreso.'"><button class="btn btn-primary btn-xs"><i class="fa fa-file"></i></button></a>'
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;

  case 'retencionivafecha':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    $idcliente    =$_POST['idcliente'];
    $rspta=$consulta->retencionivafecha($fecha_inicio,$fecha_fin,$idcliente);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $data[]=array(
        
        "0"=>$reg->fecha,
        "1"=>$reg->nombre,
        "2"=>$reg->serie_comprobante,
        "3"=>number_format($reg->total_comprai,2,'.',''),
        "4"=>number_format($reg->totalnoexentob,2,'.',''),
        "5"=>number_format($reg->porcentajeimpuesto,2,'.',''),
        //"7"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
        "6"=>number_format($reg->retencion,2,'.',''),
        "7"=>'<a target="_blank" href="reportes/Impuestoretencioniva.php?id='.$reg->idingreso.'"><button class="btn btn-primary btn-xs"><i class="fa fa-file"></i></button></a>'
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;
  
  case 'movientodecuentaporfecha':
    $fecha_inicio   =$_POST['fecha_inicio'];
    $fecha_fin      =$_POST['fecha_fin'];
    $idbancocuenta  =$_POST['idbancocuenta'];
    $rspta=$consulta->movientodecuentaporfecha($fecha_inicio,$fecha_fin,$idbancocuenta);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $fecha	=explode("-", $reg->fecha);
			$time1	= $fecha[2].'-'.$fecha[1].'-'.$fecha[0];
			if ($reg->tiporegistro=="ABONO") {
				$tiporegistro='<span class="badge bg-blue">'.$reg->tiporegistro.'</span>';
			}elseif ($reg->tiporegistro=="CARGO"){
				$tiporegistro='<span class="badge bg-yellow">'.$reg->tiporegistro.'</span>';
			}elseif ($reg->tiporegistro=="COBRO") {
				$tiporegistro='<span class="badge bg-navy">'.$reg->tiporegistro.'</span>';
			}else{
				$tiporegistro='<span class="badge bg-orange">'.$reg->tiporegistro.'</span>';
			}
			if ($reg->estado=="Procesado") {
				$estado='<span class="badge bg-green">'.$reg->estado.'</span>';
				$estado1='<button class="btn btn-warning btn-xs" 
				onclick="mostrar('.$reg->idpagocobro.')"><i class="fa fa-pencil"></i></button>'.' '.'
				<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idpagocobro.')">
				<i class="fas fa-times"></i></button>';
			}elseif ($reg->estado=="Pago"){
				$estado='<span class="badge bg-orange">'.$reg->estado.'</span>';
				$estado1='<button class="btn btn-warning btn-xs" 
				onclick="mostrarp('.$reg->idpagocobro.')"><i class="fa fa-eye"></i></button>';
			}else {
				$estado='<span class="badge bg-green">'.$reg->estado.'</span>';
				$estado1='<button class="btn btn-warning btn-xs" 
				onclick="mostrarc('.$reg->idpagocobro.')"><i class="fa fa-eye"></i></button>';
			}
      
      $data[]=array(
        "0"=>'<div align="center" style="text-align:center">'.date("d-m-Y", strtotime($reg->fecha)).'</div>',
        "1"=>'<div align="center" style="text-align:left;width:350px"> '.$reg->detalle.'</div>',
        "2"=>'<div align="center" style="text-align:left">'.$reg->nombre.'</div>',
        "3"=>'<div align="center" style="text-align:left">'.$reg->usuario.'</div>',
        "4"=>'<div align="center" style="text-align:center">'.$reg->referencia.'</div>',
        "5"=>'<div align="center" style="text-align:right">'.$reg->total_pagob.'</div>',
        "6"=>'<div align="center" style="text-align:right">'.$reg->montod.'</div>',
        "7"=>'<div align="center" style="text-align:center">'.$tiporegistro.'</div>',
        "8"=>'<div align="center" style="text-align:center">'.$estado.'</div>',
        //"7"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
       /*  "5"=>$reg->total_ventad */
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;

  case 'carteradecliente':
    $rspta=$consulta->carteradecliente();
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $data[]=array(
        "0"=>$reg->fechacreacion,
        "1"=>$reg->nombre,
        "2"=>$reg->nombref,
        "3"=>$reg->tipo_documento,
        "4"=>$reg->num_documento,
        "5"=>$reg->direccion,
        "6"=>$reg->direcciond,
        "7"=>$reg->zona,
        "8"=>$reg->vendedor,
        "9"=>$reg->telefono,
        "10"=>$reg->diadevisita,
        "11"=>$reg->frecuenciavisita,
        "12"=>$reg->tipocliente,
        "13"=>$reg->licencia_licor,
        "14"=>$reg->diacredito,
        "15"=>$reg->personacontacto,
        "16"=>$reg->personacontactotelefono,
        "17"=>($reg->condicion=='1')?'<span class="badge bg-green">Habilitado</span>':'<span class="badge bg-red">Deshabilitado</span>'
        );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;
 

  case 'articulomesanterior':
    $rspta=$consulta->articulomesanterior();
    $dato[] = $rspta;
    echo json_encode($dato);
    //echo ($dato);
    //echo $rspta;
  break;

  case 'articulomesencurso':
    $rspta=$consulta->articulomesencurso();
    $dato[] = $rspta;
    echo json_encode($dato);
    //echo ($dato);
    //echo $rspta;
  break;

  case 'clientemesanterior':
    $rspta=$consulta->clientemesanterior();
    $dato[] = $rspta;
    echo json_encode($dato);
    //echo ($dato);
    //echo $rspta;
  break;

  case 'clientemesencurso':
    $rspta=$consulta->clientemesencurso();
    $dato[] = $rspta;
    echo json_encode($dato);
    //echo ($dato);
    //echo $rspta;
  break;

  case 'vendedormesanterior':
    $rspta=$consulta->vendedormesanterior();
    $dato[] = $rspta;
    echo json_encode($dato);
    //echo ($dato);
    //echo $rspta;
  break;

  case 'vendedormesencurso':
    $rspta=$consulta->vendedormesencurso();
    $dato[] = $rspta;
    echo json_encode($dato);
    //echo ($dato);
    //echo $rspta;
  break;

  case 'marcamesanterior':
    $rspta=$consulta->marcamesanterior();
    $dato[] = $rspta;
    echo json_encode($dato);
    //echo ($dato);
    //echo $rspta;
  break;

  case 'marcamesencurso':
    $rspta=$consulta->marcamesencurso();
    $dato[] = $rspta;
    echo json_encode($dato);
    //echo ($dato);
    //echo $rspta;
  break;

  case 'categoriamesanterior':
    $rspta=$consulta->categoriamesanterior();
    $dato[] = $rspta;
    echo json_encode($dato);
    //echo ($dato);
    //echo $rspta;
  break;

  case 'categoriamesencurso':
    $rspta=$consulta->categoriamesencurso();
    $dato[] = $rspta;
    echo json_encode($dato);
    //echo ($dato);
    //echo $rspta;
  break;

  case 'citasporfechaypaciente':
    $fecha_inicio     =$_POST['fecha_inicio'];
    $fecha_fin        =$_POST['fecha_fin'];
    $idpaciente       =$_POST['idpaciente'];
    $rspta            =$consulta->citasporfechaypaciente($fecha_inicio,$fecha_fin,$idpaciente);
    $data             =Array();
      /* 
      <th>Fecha</th>
                          <th>Paciente</th>
                          <th>Fecha</th>
                          <th>Sesión</th>
                          <th>Costo</th>
                          <th>Estado</th>
      */
    while ($reg=$rspta->fetch_object()) {
      $data[]=array(
        "0"=>$reg->nombre1.' '.$reg->nombre2.' '.$reg->apellido1.' '.$reg->apellido2,
        "1"=>$reg->fecha,
        "2"=>$reg->sesion,
        "3"=>number_format($reg->preciod,2,'.',','),
        "4"=>$reg->estado
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;

  case 'ventasvendedorcliente':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    $idcliente    =$_POST['idcliente'];
    $idvendedor   =$_POST['idvendedor'];
    $rspta=$consulta->ventasvendedorcliente($fecha_inicio,$fecha_fin,$idcliente,$idvendedor);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $total_ventaimpuestod   = $reg->deuda;
      $abono                  = $reg->cobrado;
      $montopendiented        = $reg->saldo;
      
      if ($reg->estadodocumento=='Anulado'){
        $total_ventaimpuestod   = 0;
        $abono                  = 0;
        $montopendiented        = 0;
        
      }
      
      $num_comprobante  = $reg->num_comprobante;

      if ($reg->num_comprobante==0){
        $num_comprobante='Sin Factura';
      }

      $estadodocumento           = '<span class="badge bg-orangel">'.$reg->estadodocumento.'</span>';

      if ($reg->estadodocumento=='Pendiente'){
        $estadodocumento  = '<span class="badge bg-red">Pendiente</span>';
        $diacobranza      = '<span class="badge bg-red">'.$reg->diasdecobranza.'</span>';
      }else{
        if ($reg->estadodocumento=='Parcial'){
          $estadodocumento = '<span class="badge bg-yellow">Parcial</span>';
          $diacobranza      = '<span class="badge bg-red">'.$reg->diasdecobranza.'</span>';
        }else{
          if ($reg->estadodocumento=='Pagada'){
            $estadodocumento = '<span class="badge bg-green">Pagada</span>';
            $diacobranza      = '<span class="badge bg-green">'.$reg->diasdecobranza.'</span>';
          }else{
            if ($reg->estadodocumento=='Facturado'){
              $estadodocumento = '<span class="badge bg-green">Pagada</span>';
              $diacobranza      = '<span class="badge bg-green">'.$reg->diasdecobranza.'</span>';
            }else{
              if ($reg->estadodocumento=='Anulado') {
                $estadodocumento = '<span class="badge bg-Purple">Anulado</span>';
                $diacobranza      = '<span class="badge bg-Purple">0</span>';
              }else{
                $estadodocumento = '<span class="badge bg-Purple">'.$reg->estadodocumento.'</span>';
                $diacobranza      = '<span class="badge bg-red">'.$reg->diasdecobranza.'</span>';
              }
            }
          }
        }
      }
      
      $data[]=array(
        "0"=>$reg->fecha,
        "1"=>$reg->cliente,
        "2"=>$reg->vendedor,
        "3"=>$reg->num_comprobante1,
        "4"=>$num_comprobante,
        "5"=>$reg->cajas,
        "6"=>$total_ventaimpuestod,
        "7"=>($reg->estadodocumento=='Pagada')?$total_ventaimpuestod:$abono,
        "8"=>$montopendiented,
        "9"=>$diacobranza,
        "10"=>$estadodocumento
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;


  case 'ventasclientesxproductos':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    $idcliente    =$_POST['idcliente'];
    $idvendedor   =$_POST['idvendedor'];
    $rspta=$consulta->ventasclientesxproductos($fecha_inicio,$fecha_fin,$idcliente,$idvendedor);
    $data=Array();
    while ($reg=$rspta->fetch_object()) {
      if ($reg->estado=='Pendiente'){
        $estadodocumento  = '<span class="badge bg-red">Pendiente</span>';
       
      }else{
        if ($reg->estado=='Parcial'){
          $estadodocumento = '<span class="badge bg-yellow">Parcial</span>';
         
        }else{
          if ($reg->estado=='Pagada'){
            $estadodocumento = '<span class="badge bg-green">Pagada</span>';
           
          }else{
            if ($reg->estado=='Facturado'){
              $estadodocumento = '<span class="badge bg-green">Pagada</span>';
              
            }else{
              if ($reg->estado=='Anulado') {
                $estadodocumento = '<span class="badge bg-navy">Anulado</span>';
               
              }else{
                $estadodocumento = '<span class="badge bg-navy">'.$reg->estadodocumento.'</span>';
               
              }
            }
          }
        }
      }
      $data[]=array(
        "0"=>$reg->fecha,
        "1"=>$reg->cliente,
        "2"=>$reg->zona,
        "3"=>$reg->subzona,
        "4"=>$reg->vendedor,
        "5"=>$reg->articulo,
        "6"=>$reg->cajas,
        "7"=>$reg->precio,
        "8"=>$reg->monto,
        "9"=>$reg->documento,
        "10"=>$reg->num_comprobante,
        "11"=>$reg->num_comprobante1,
        "12"=>$reg->fechadespacho,
        "13"=>$reg->diasdecobranza,
        "14"=>$reg->tipocliente,
        "15"=>$reg->diavisita,
        "16"=>$estadodocumento
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $rspta;
  break;

  case 'ventasclientesxproductosreducido':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    $idcliente    =$_POST['idcliente'];
    $idvendedor   =$_POST['idvendedor'];
    $rspta=$consulta->ventasclientesxproductos($fecha_inicio,$fecha_fin,$idcliente,$idvendedor);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      if ($reg->estado=='Pendiente'){
        $estadodocumento  = '<span class="badge bg-red">Pendiente</span>';
       
      }else{
        if ($reg->estado=='Parcial'){
          $estadodocumento = '<span class="badge bg-yellow">Parcial</span>';
         
        }else{
          if ($reg->estado=='Pagada'){
            $estadodocumento = '<span class="badge bg-green">Pagada</span>';
           
          }else{
            if ($reg->estado=='Facturado'){
              $estadodocumento = '<span class="badge bg-green">Pagada</span>';
              
            }else{
              if ($reg->estado=='Anulado') {
                $estadodocumento = '<span class="badge bg-Purple">Anulado</span>';
               
              }else{
                $estadodocumento = '<span class="badge bg-Purple">'.$reg->estadodocumento.'</span>';
               
              }
            }
          }
        }
      }

      $data[]=array(
        "0"=>$reg->fecha,
        "1"=>$reg->cliente,
        /* "2"=>$reg->zona,
        "3"=>$reg->subzona, */
        "2"=>$reg->vendedor,
        "3"=>$reg->articulo,
        "4"=>$reg->cajas,
        "5"=>$reg->precio,
        "6"=>$reg->monto,
        /* "9"=>$reg->documento,
        "10"=>$reg->num_comprobante, */
        "7"=>$reg->num_comprobante1,
       /* "8"=>$reg->fechadespacho,
         "13"=>$reg->diasdecobranza,
        "14"=>$reg->tipocliente,
        "15"=>$reg->diavisita, */
        "8"=>$estadodocumento
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $rspta;
  break;

  case 'ventasclientesxproductosreducidodespacho':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    $idcliente    =$_POST['idcliente'];
    $idvendedor   =$_POST['idvendedor'];
    $rspta=$consulta->ventasclientesxproductosreducidodespacho($fecha_inicio,$fecha_fin,$idcliente,$idvendedor);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      if ($reg->estado=='Pendiente'){
        $estadodocumento  = '<span class="badge bg-red">Pendiente</span>';
       
      }else{
        if ($reg->estado=='Parcial'){
          $estadodocumento = '<span class="badge bg-yellow">Parcial</span>';
         
        }else{
          if ($reg->estado=='Pagada'){
            $estadodocumento = '<span class="badge bg-green">Pagada</span>';
           
          }else{
            if ($reg->estado=='Facturado'){
              $estadodocumento = '<span class="badge bg-green">Pagada</span>';
              
            }else{
              if ($reg->estado=='Anulado') {
                $estadodocumento = '<span class="badge bg-Purple">Anulado</span>';
               
              }else{
                if ($reg->estado=='Despachada') {
                  $estadodocumento = '<span class="badge bg-green">Despachada</span>';
                 
                }else{
                  if ($reg->estado=='EnTransito') {
                    $estadodocumento = '<span class="badge bg-yellow">InTransito</span>';
                   
                  }else{
                    $estadodocumento = '<span class="badge bg-Purple">'.$reg->estadodocumento.'</span>';
                   
                  }
                 
                }
               
              }
            }
          }
        }
      }

      $data[]=array(
        "0"=>$reg->fecha,
        "1"=>$reg->cliente,
        /* "2"=>$reg->zona,
        "3"=>$reg->subzona, */
        "2"=>$reg->vendedor,
        "3"=>$reg->articulo,
        "4"=>$reg->cajas,
        "5"=>$reg->precio,
        "6"=>$reg->monto,
        /* "9"=>$reg->documento,
        "10"=>$reg->num_comprobante, */
        "7"=>$reg->num_comprobante1,
       /* "8"=>$reg->fechadespacho,
         "13"=>$reg->diasdecobranza,
        "14"=>$reg->tipocliente,
        "15"=>$reg->diavisita, */
        "8"=>$estadodocumento
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $rspta;
  break;

 

  case 'ventasclientesxproductoslicoreria':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    /* $idcliente    =$_POST['idcliente']; */
    $idvendedor   =$_POST['idvendedor'];
    $rspta=$consulta->ventasclientesxproductoslicoreria($fecha_inicio,$fecha_fin,$idvendedor);
    $data=Array();
    while ($reg=$rspta->fetch_object()) {
      $data[]=array(
        "0"=>$reg->fecha,
        /* "1"=>$reg->cliente,
        "2"=>$reg->zona,
        "3"=>$reg->subzona, */
        "1"=>$reg->vendedor,
        "2"=>$reg->articulo,
        "3"=>$reg->cajas,
        "4"=>$reg->precio,
        "5"=>$reg->monto
       /*  "9"=>$reg->documento,
        "10"=>$reg->num_comprobante,
        "11"=>$reg->num_comprobante1,
        "12"=>$reg->fechadespacho,
        "13"=>$reg->diasdecobranza,
        "14"=>$reg->tipocliente,
        "15"=>$reg->diavisita,
        "16"=>($reg->estado=='Anulado')?'<span class="badge bg-red">'.$reg->estado.'</span>':'<span class="badge bg-blue">'.$reg->estado.'</span>' */
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $rspta;
  break;

  case 'ventaspormetododepago':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    /* $idcliente    =$_POST['idcliente']; 
    $idvendedor   =$_POST['idvendedor'];*/
    $rspta=$consulta->ventaspormetododepago($fecha_inicio,$fecha_fin);
    $data=Array();
    while ($reg=$rspta->fetch_object()) {
      $data[]=array(
        "0"=>$reg->fecha,
        /* "1"=>$reg->cliente,
        "2"=>$reg->zona,
        "3"=>$reg->subzona, */
        "1"=>$reg->monto1,
        "2"=>$reg->monto2,
        "3"=>$reg->monto3,
        "4"=>$reg->monto4,
        "5"=>$reg->monto5,
        "6"=>$reg->monto6,
        /*"10"=>$reg->num_comprobante,
        "11"=>$reg->num_comprobante1,
        "12"=>$reg->fechadespacho,
        "13"=>$reg->diasdecobranza,
        "14"=>$reg->tipocliente,
        "15"=>$reg->diavisita,
        "16"=>($reg->estado=='Anulado')?'<span class="badge bg-red">'.$reg->estado.'</span>':'<span class="badge bg-blue">'.$reg->estado.'</span>' */
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $rspta;
  break;
  
  case 'ventasfechaclientetotales':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    $rspta=$consulta->ventasfechaclientetotales($fecha_inicio,$fecha_fin);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $data[]=array(
        "0"=>$reg->nombre,
        "1"=>$reg->venta
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;

  case 'ventasfechaclientetodas':
      $rspta=$consulta->ventasultimos12meses();
      $dato[] = $rspta;
      echo json_encode($dato);
      //echo ($dato);
      //echo $rspta;
  break;

  case 'ventasgastostodos':
    $rspta=$consulta->ventasgastosultimos12meses();
    $dato[] = $rspta;
    echo json_encode($dato);
    //echo ($dato);
    //echo $rspta;
  break;
  
  case 'ventasinventarioalmacenproducto':
    /* $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin']; */
    $idalmacen    =$_POST['idalmacen'];
    $idarticulo    =$_POST['idarticulo'];
    $rspta=$consulta->ventasinventarioalmacenproducto($idalmacen,$idarticulo);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $data[]=array(
        "0"=>$reg->almacen,
        "1"=>$reg->articulo,
        "2"=>$reg->stock,
        );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;

  case 'ventasinventarioalmacenproductodespacho':
    /* $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin']; */
    $idalmacen    =$_POST['idalmacen'];
    $idarticulo    =$_POST['idarticulo'];
    $rspta=$consulta->ventasinventarioalmacenproductodespacho($idalmacen,$idarticulo);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $data[]=array(
        "0"=>$reg->almacen,
        "1"=>$reg->articulo,
        "2"=>$reg->stock,
        );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;

  case 'ventasfechacliente':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    $idcliente    =$_POST['idcliente'];
    $rspta=$consulta->ventasfechacliente($fecha_inicio,$fecha_fin,$idcliente);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      if ($reg->estado=='Pendiente'){
        $estadodocumento  = '<span class="badge bg-red">Pendiente</span>';
       
      }else{
        if ($reg->estado=='Parcial'){
          $estadodocumento = '<span class="badge bg-yellow">Parcial</span>';
         
        }else{
          if ($reg->estado=='Pagada'){
            $estadodocumento = '<span class="badge bg-green">Pagada</span>';
           
          }else{
            if ($reg->estado=='Facturado'){
              $estadodocumento = '<span class="badge bg-green">Pagada</span>';
              
            }else{
              if ($reg->estado=='Anulado') {
                $estadodocumento = '<span class="badge bg-Purple">Anulado</span>';
               
              }else{
                $estadodocumento = '<span class="badge bg-Purple">'.$reg->estadodocumento.'</span>';
               
              }
            }
          }
        }
      }
      $data[]=array(
        "0"=>$reg->fecha,
        "1"=>$reg->cliente,
        "2"=>$reg->num_comprobante1,
        "3"=>$reg->num_comprobante,
        "4"=>$reg->total_ventad,
        //"7"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
        "5"=>$estadodocumento
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;

  case 'ventasfechafisioterapeuta':
      $fecha_inicio     =$_POST['fecha_inicio'];
      $fecha_fin        =$_POST['fecha_fin'];
      $idfisioterapeuta  =$_POST['idfisioterapeuta'];
      $rspta=$consulta->ventasfechafisioterapeuta($fecha_inicio,$fecha_fin,$idfisioterapeuta);
      $data=Array();
        /* 
        <th>Fecha</th>
                            <th>Fisioterapeuta</th>
                            <th>Paciente</th>
                            <th>Comisión</th>
                            <th>Estado</th>
        */
      while ($reg=$rspta->fetch_object()) {
        $data[]=array(
          "0"=>$reg->fecha,
          "1"=>$reg->fisioterapeuta,
          "2"=>$reg->cliente,
          "3"=>number_format($reg->comision,2,'.',','),
          "4"=>$reg->estado
        );
      }
      $results=array(
          "sEcho"=>1,//info para datatables
          "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
          "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
          "aaData"=>$data); 
      echo json_encode($results);
      //  echo $results;
  break;

  case 'ventasfechafisioterapia':
    $fecha_inicio     =$_POST['fecha_inicio'];
    $fecha_fin        =$_POST['fecha_fin'];
    $idpaciente       =$_POST['idpaciente'];
    $rspta=$consulta->ventasfechafisioterapia($fecha_inicio,$fecha_fin,$idpaciente);
    $data=Array();
      /* 
      <th>Fecha</th>
                          <th>Fisioterapeuta</th>
                          <th>Paciente</th>
                          <th>Comisión</th>
                          <th>Estado</th>
      */
    while ($reg=$rspta->fetch_object()) {
  
      if ($reg->tipo_comprobante=='Regalo'){
        if ($reg->estado!='Anulado'){
          $estado='Regalo';
        }else{
          $estado='Anulado';
        }
      }else{
        if ($reg->estado!='Anulado'){
        //	if ($reg->notacredito=='si'){
        //		$estado='Procesada-NotaCredito';
        //		}else{
        //		if ($reg->devolucion=='si'){
        //			$estado='Procesada-Devolución';
        //		}else{
        //			$estado='Procesada';
        //		}
        //	}
          $estado='Procesada';
        }else{
          $estado='Anulado';
        }
      }

      if ($estado=='Anulado'){
        $colorestado='<span class="badge bg-red">'.$estado.'</span>';
      }elseif ($estado=='Regalo') {
        $colorestado='<span class="badge bg-blue">'.$estado.'</span>';
      }elseif ($estado=='Procesada-NotaCredito') {
        $colorestado='<span class="badge bg-orange">'.$estado.'</span>';
      }elseif ($estado=='Procesada-Devolución') {
        $colorestado='<span class="badge bg-yellow">'.$estado.'</span>';
      }else{
        $colorestado='<span class="badge bg-green">'.$estado.'</span>';
      }
      $data[]=array(
        "0"=>$reg->fecha,
        "1"=>$reg->serie_comprobante,
        "2"=>$reg->cliente,
        "3"=>number_format($reg->total_ventad,2,'.',','),
      // "4"=>($reg->estado=='Facturado')?'<span class="badge bg-green">Facturado</span>':'<span class="badge bg-red">Anulado</span>'
        "4"=>$colorestado
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;

  case 'ventasfechametodopago':
    $fecha_inicio     =$_POST['fecha_inicio'];
    $fecha_fin        =$_POST['fecha_fin'];
    
    $rspta=$consulta->ventasfechametodopago($fecha_inicio,$fecha_fin);
    $data=Array();
      /* 
      <th>Fecha</th>
                          <th>Fisioterapeuta</th>
                          <th>Paciente</th>
                          <th>Comisión</th>
                          <th>Estado</th>
      */
    while ($reg=$rspta->fetch_object()) {
      $data[]=array(
        "0"=>$reg->formadepago,
        "1"=>number_format($reg->bolivares,2,'.',','),
        "2"=>number_format($reg->dolares,2,'.',','),
        "3"=>$reg->estado
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;    

  case 'ventaslibrodeventa':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    
    $rspta=$consulta->ventaslibrodeventa($fecha_inicio,$fecha_fin);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $data[]=array(
        "0"=>$reg->fecha,
        "1"=>$reg->cliente,
        "2"=>$reg->tipo_comprobante,
        "3"=>$reg->serie_comprobante.' '.$reg->num_comprobante,
        "4"=>number_format($reg->total_venta,2,',','.'),
        "5"=>number_format($reg->totalventasiniva,2,',','.'),
        "6"=>number_format($reg->iva,2,',','.'),
        //"7"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
        "7"=>$reg->estado
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;

  case 'ventaslibrodeventaf':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    
    $rspta=$consulta->ventaslibrodeventaf($fecha_inicio,$fecha_fin);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $data[]=array(
        "0"=>$reg->fecha,
        "1"=>$reg->cliente,
        "2"=>$reg->tipo_comprobante,
        "3"=>$reg->serie_comprobante.' '.$reg->num_comprobante,
        "4"=>number_format($reg->total_venta,2,',','.'),
        "5"=>number_format($reg->totalventasiniva,2,',','.'),
        "6"=>number_format($reg->iva,2,',','.'),
        //"7"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
        "7"=>$reg->estado
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;
    
    
  case 'ventaslibroinventariosalidas':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    
    $rspta        =$consulta->ventaslibrodeinventario($fecha_inicio,$fecha_fin);
    $data         =Array();

    while ($reg=$rspta->fetch_object()) {
      $data[]=array(
        "0"=>$reg->fecha,
        "1"=>$reg->cliente,
        "2"=>$reg->tipo_comprobante,
        "3"=>$reg->serie_comprobante.' '.$reg->num_comprobante,
        "4"=>$reg->cantidad*$reg->factorconversion*$reg->unidademedidad,
        "5"=>$reg->grados*$reg->cantidad,
        "6"=>$reg->clase,
        //"7"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
        "7"=>$reg->denominacion
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;
    
  case 'ventaslibroinventarioentradas':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    
    $rspta        =$consulta->ventaslibrodeinventarioe($fecha_inicio,$fecha_fin);
    $data         =Array();

    while ($reg=$rspta->fetch_object()) {
      $data[]=array(
        "0"=>$reg->fecha,
        "1"=>$reg->cliente,
        "2"=>$reg->tipo_comprobante,
        "3"=>$reg->serie_comprobante.' '.$reg->num_comprobante,
        "4"=>$reg->cantidad*$reg->factorconversion*$reg->unidademedidad,
        "5"=>$reg->grados*$reg->cantidad,
        "6"=>$reg->clase,
        //"7"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
        "7"=>$reg->denominacion
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;
  
  /*
  case 'detallededocumentospendiente':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    $idcliente    =$_POST['idcliente'];
    $idvendedor   =$_POST['idvendedor'];
    $rspta=$consulta->detallededocumentospendiente($fecha_inicio,$fecha_fin,$idcliente,$idvendedor);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $total_ventaimpuestod   = $reg->deuda;
      $total_ventaimpuesto    = $reg->deudab;
      $abono                  = $reg->cobrado;
      $abonob                 = $reg->cobradob;
      // $montopendiented        = $reg->montopendiented;
      // $montopendiente         = $reg->montopendienteb; 
      $montopendiented        = $reg->saldo;
      $montopendiente         = $reg->saldob;
      if ($reg->estadodocumento=='Anulado'){
        $total_ventaimpuestod   = 0;
        $total_ventaimpuesto    = 0;
        $abono                  = 0;
        $abonob                 = 0;
        $montopendiented        = 0;
        $montopendiente         = 0;
      }
      $diacobranza      = '';
      $num_comprobante  = $reg->num_comprobante;
      if ($reg->num_comprobante==''){
        $num_comprobante='Sin Factura';
      }
      $estadodocumento           = '<span class="badge bg-orangel">'.$reg->estadodocumento.'</span>';
      if ($reg->estadodocumento=='Pendiente'){
        $estadodocumento  = '<span class="badge bg-red">Pendiente</span>';
        $diacobranza      = '<span class="badge bg-red">'.$reg->diasdecobranza.'</span>';
      }else{
        if ($reg->estadodocumento=='Parcial'){
          $estadodocumento = '<span class="badge bg-yellow">Parcial</span>';
          $diacobranza      = '<span class="badge bg-yellow">'.$reg->diasdecobranza.'</span>';
        }else{
          if ($reg->estadodocumento=='Pagada'){
            $estadodocumento = '<span class="badge bg-green">Pagada</span>';
            $diacobranza     = '<span class="badge bg-green">0</span>';
            if($reg->diasdecobranza>$reg->dcredito){
             $diacobranza     = '<span class="badge bg-red">'.($reg->diasdecobranza-$reg->dcredito).'</span>';
            }
           
          }else{
            if ($reg->estadodocumento=='Facturado'){
              $estadodocumento = '<span class="badge bg-green">Pagada</span>';
              $diacobranza     = '<span class="badge bg-green">'.$reg->diasdecobranza.'</span>';
            }else{
              $estadodocumento = '<span class="badge bg-navy">'.$reg->estadodocumento.'</span>';
             
            }
              
          }
        }
      }

      if ($reg->diacredito>5) {
        $diacobranza     = '<span class="badge bg-green">'.$reg->diacredito.'</span>';
      } else {
        if (($reg->diacredito>=0)&&($reg->diacredito<=5)) {
          $diacobranza      = '<span class="badge bg-yellow">'.$reg->diacredito.'</span>';
        } else {
          $diacobranza      = '<span class="badge bg-red">'.($reg->diacredito*-1).'</span>';
        }
        
      }

      $monto=0;
      if ($reg->estadodocumento=='Pagada') {
        $monto=$total_ventaimpuestod;
      }else{
        $monto=$montopendiented;
      }

      $data[]=array(
        "0"=>'<div align="center" style="text-align:left;width:200px">'.$reg->cliente.'</div>',
        "1"=>'<div align="center" style="text-align:center;width:80px">'.$reg->num_comprobante1.'</div>',
        "2"=>'<div align="center" style="text-align:center;width:80px">'.$reg->num_comprobante.'</div>',
        "3"=>'<div align="center" style="text-align:right">'.$monto.'</div>',
        "4"=>'<div align="center" style="text-align:center">'.$reg->fecha.'</div>',
        "5"=>'<div align="center" style="text-align:center">'.$reg->fechadespacho.'</div>',
        "6"=>'<div align="center" style="text-align:center">'.$reg->dcredito.'</div>',
        "7"=>'<div align="center" style="text-align:center">'.$reg->fechainiciocredito.'</div>',
        "8"=>'<div align="center" style="text-align:center">'.$reg->fechafindecredito.'</div>',
        "9"=>'<div align="center" style="text-align:center">'.$reg->fechapago.'</div>',
        "10"=>'<div align="center" style="text-align:center">'.$diacobranza.'</div>',
      //   "8"=>$reg->diasdecobranza,
        
       
      // "6"=>$num_comprobante,
      //  "7"=>$total_ventaimpuestod,
      //  "8"=>$total_ventaimpuesto,
       
      //  "10"=>($reg->estadodocumento=='Pagada')?$total_ventaimpuesto:$abonob,
      //  "11"=>$montopendiented,
      //  "12"=>$montopendiente,
       
      //   "14"=>$reg->tasacambiopago,
       // "15"=>$reg->cuenta,
      //  "16"=>$reg->formadepago,
      //  "17"=>$reg->referencia,
      //  "14"=>$reg->vendedor,
       // "15"=>$reg->zona,
       // "16"=>$reg->subzona,
       // "17"=>$estadodocumento
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;
  */
  
  
  case 'detallededocumentospendiente':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    $idcliente    =$_POST['idcliente'];
    $idvendedor   =$_POST['idvendedor'];
    $rspta=$consulta->detallededocumentospendiente($fecha_inicio,$fecha_fin,$idcliente,$idvendedor);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      $total_ventaimpuestod   = $reg->deuda;
      $total_ventaimpuesto    = $reg->deudab;
      $abono                  = $reg->cobrado;
      $abonob                 = $reg->cobradob;
      /* $montopendiented        = $reg->montopendiented;
      $montopendiente         = $reg->montopendienteb; */
      $montopendiented        = $reg->saldo;
      $montopendiente         = $reg->saldob;
      if ($reg->estadodocumento=='Anulado'){
        $total_ventaimpuestod   = 0;
        $total_ventaimpuesto    = 0;
        $abono                  = 0;
        $abonob                 = 0;
        $montopendiented        = 0;
        $montopendiente         = 0;
      }
      $diacobranza        = '';
      $diatrascurridos    = '';
      $num_comprobante    = $reg->num_comprobante;
      if ($reg->num_comprobante==''){
        $num_comprobante='Sin Factura';
      }
      $estadodocumento           = '<span class="badge bg-orangel">'.$reg->estadodocumento.'</span>';
      if ($reg->estadodocumento=='Pendiente'){
        $estadodocumento  = '<span class="badge bg-red">Pendiente</span>';
        $diacobranza      = '<span class="badge bg-red">'.$reg->diasdecobranza.'</span>';
      }else{
        if ($reg->estadodocumento=='Parcial'){
          $estadodocumento = '<span class="badge bg-yellow">Parcial</span>';
          $diacobranza      = '<span class="badge bg-yellow">'.$reg->diasdecobranza.'</span>';
        }else{
          if ($reg->estadodocumento=='Pagada'){
            $estadodocumento = '<span class="badge bg-green">Pagada</span>';
            $diacobranza     = '<span class="badge bg-green">0</span>';
            if($reg->diasdecobranza>$reg->dcredito){
             $diacobranza     = '<span class="badge bg-red">'.($reg->diasdecobranza-$reg->dcredito).'</span>';
            }
           
          }else{
            if ($reg->estadodocumento=='Facturado'){
              $estadodocumento = '<span class="badge bg-green">Pagada</span>';
              $diacobranza     = '<span class="badge bg-green">'.$reg->diasdecobranza.'</span>';
            }else{
              $estadodocumento = '<span class="badge bg-navy">'.$reg->estadodocumento.'</span>';
             
            }
              
          }
        }
      }

      if ($reg->diacredito>5) {
        $diacobranza     = '<span class="badge bg-green">'.$reg->diacredito.'</span>';
      } else {
        if (($reg->diacredito>0)&&($reg->diacredito<=5)) {
          $diacobranza      = '<span class="badge bg-yellow">'.$reg->diacredito.'</span>';
        } else {
          $diacobranza      = '<span class="badge bg-red">'.($reg->diacredito).'</span>';
        }
        
      }
      
      
      if(($reg->dcredito-$reg->diasdecobranza)>6){
        $diatrascurridos     = '<span class="badge bg-green">'.$reg->diasdecobranza.'</span>';
      }else{
         if(($reg->dcredito-$reg->diasdecobranza)>0&&($reg->dcredito-$reg->diasdecobranza)<6){
            $diatrascurridos   = '<span class="badge bg-yellow">'.$reg->diasdecobranza.'</span>';
        }else{
            $diatrascurridos   = '<span class="badge bg-red">'.$reg->diasdecobranza.'</span>';
        } 
      }    
      
      

      $monto=0;
      if ($reg->estadodocumento=='Pagada') {
        $monto=$total_ventaimpuestod;
      }else{
        $monto=$montopendiented;
      }

      $data[]=array(
        "0"=>'<div align="center" style="text-align:left;width:200px">'.$reg->cliente.'</div>',
        "1"=>'<div align="center" style="text-align:left;width:200px">'.$reg->vendedor.'</div>',
        "2"=>'<div align="center" style="text-align:center;width:80px">'.$reg->num_comprobante1.'</div>',
        "3"=>'<div align="center" style="text-align:center;width:80px">'.$reg->num_comprobante.'</div>',
        "4"=>'<div align="center" style="text-align:right">'.$total_ventaimpuestod.'</div>',
        "5"=>'<div align="center" style="text-align:right">'.$abono.'</div>',
        "6"=>'<div align="center" style="text-align:right">'.$monto.'</div>',
        "7"=>'<div align="center" style="text-align:center">'.$reg->fecha.'</div>',
        "8"=>'<div align="center" style="text-align:center">'.$reg->fechadespacho.'</div>',
        "9"=>'<div align="center" style="text-align:center">'.$reg->fechafindecredito.'</div>',
        "10"=>'<div align="center" style="text-align:center">'.$reg->fechapago.'</div>',
        "11"=>'<div align="center" style="text-align:center">'.$reg->dcredito.'</div>',
        "12"=>'<div align="center" style="text-align:center">'.$diatrascurridos.'</div>',
        "13"=>'<div align="center" style="text-align:center">'.$diacobranza.'</div>',
        "14"=>'<div align="center" style="text-align:center">'.$estadodocumento.'</div>',
      /*   "8"=>$reg->diasdecobranza,
        
       
       "6"=>$num_comprobante,
        "7"=>$total_ventaimpuestod,
        "8"=>$total_ventaimpuesto,
       
        "10"=>($reg->estadodocumento=='Pagada')?$total_ventaimpuesto:$abonob,
        "11"=>$montopendiented,
        "12"=>$montopendiente,
       
         "14"=>$reg->tasacambiopago,
        "15"=>$reg->cuenta,
        "16"=>$reg->formadepago,
        "17"=>$reg->referencia,
        "14"=>$reg->vendedor,
        "15"=>$reg->zona,
        "16"=>$reg->subzona,
        "17"=>$estadodocumento */
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;
  
  case 'cxcdespachadas':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    $idcliente    =$_POST['idcliente'];
    $idvendedor   =$_POST['idvendedor'];
    $rspta=$consulta->cxcdespachadas($fecha_inicio,$fecha_fin,$idcliente,$idvendedor);
    $data=Array();
    while ($reg=$rspta->fetch_object()) {
     
      $data[]=array(
        "0"=>'<div align="center">'.$reg->fecha.'</div>',
        "1"=>'<div align="center">'.$reg->fechadespacho.'</div>',
        "2"=>'<div align="center">'.$reg->num_comprobante1.'</div>',
        "3"=>'<div align="left">'.$reg->cliente.'</div>',
        "4"=>'<div align="left">'.$reg->vendedor.'</div>',
        "5"=>'<div align="left">'.$reg->chofer.'</div>',
        "6"=>'<div align="center">'.$reg->cajas.'</div>',
        "7"=>'<div align="right">'.$reg->total.'</div>',
        
        
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $rspta;
  break;
  
  case 'cxcstatus':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    $idcliente    =$_POST['idcliente'];
    $idvendedor   =$_POST['idvendedor'];
    $rspta=$consulta->cxcstatus($fecha_inicio,$fecha_fin,$idcliente,$idvendedor);
    $data=Array();
    while ($reg=$rspta->fetch_object()) {
      //estado de sistema
      if ($reg->estadosistema=='Pendiente'){
        $estadodocumento  = '<span class="badge bg-red">Pendiente</span>';
       
      }else{
        if ($reg->estadosistema=='Parcial'){
          $estadodocumento = '<span class="badge bg-yellow">Parcial</span>';
         
        }else{
          if ($reg->estadosistema=='Pagada'){
            $estadodocumento = '<span class="badge bg-green">Pagada</span>';
           
          }else{
            if ($reg->estadosistema=='Facturado'){
              $estadodocumento = '<span class="badge bg-green">Pagada</span>';
              
            }else{
              if ($reg->estadosistema=='Anulado') {
                $estadodocumento = '<span class="badge bg-navy">Anulado</span>';
               
              }else{
                if ($reg->estadosistema=='Regalo') {
                  $estadodocumento = '<span class="badge bg-blue">Regalo</span>';
                 
                }else{
                  $estadodocumento = '<span class="badge bg-yellow">'.$reg->estadosistema.'</span>';
                 
                }
              }
            }
          }
        }
      }
      //estodode despacho
      if ($reg->estadodespacho=='Pendiente'){
        $estadodocumentod  = '<span class="badge bg-red">Pendiente</span>';
       
      }else{
        if ($reg->estadodespacho=='Despachada-Parcial'){
          $estadodocumentod = '<span class="badge bg-yellow">Despachada-Parcial</span>';
         
        }else{
          if ($reg->estadodespacho=='EnTransito'){
            $estadodocumentod = '<span class="badge bg-orange">EnTransito</span>';
           
          }else{
            if ($reg->estadodespacho=='Despachada'){
              $estadodocumentod = '<span class="badge bg-green">Despachada</span>';
              
            }else{
              $estadodocumentod = '<span class="badge bg-navy">'.$reg->estadodespacho.'</span>';
            }
          }
        }
      }  
      $data[]=array(
        "0"=>'<div align="center">'.$reg->fecha.'</div>',
        "1"=>'<div align="center">'.$reg->fechadespacho.'</div>',
        "2"=>'<div align="center">'.$reg->num_comprobante1.'</div>',
        "3"=>'<div align="left">'.$reg->cliente.'</div>',
        "4"=>'<div align="left">'.$reg->vendedor.'</div>',
        "5"=>'<div align="left">'.$reg->chofer.'</div>',
        "6"=>'<div align="center">'.$reg->cajas.'</div>',
        "7"=>'<div align="right">'.$reg->total.'</div>',
        "8"=>'<div align="center">'.$estadodocumento.'</div>',
        "9"=>'<div align="center">'.$estadodocumentod.'</div>',
        
        
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $rspta;
  break;
  
  case 'ventasagrupadaporclienterangodefecha':
    $fecha_inicio =$_POST['fecha_inicio'];
    $fecha_fin    =$_POST['fecha_fin'];
    $idcliente    =$_POST['idcliente'];
    $idvendedor   =$_POST['idvendedor'];
    $rspta=$consulta->ventasagrupadaporclienterangodefecha($fecha_inicio,$fecha_fin,$idcliente,$idvendedor);
    $data=Array();

    while ($reg=$rspta->fetch_object()) {
      
            
      
      $data[]=array(
        "0"=>'<div align="left">'.$reg->cliente.'</div>',
        "1"=>'<div align="left">'.$reg->vendedor.'</div>',
        "2"=>'<div align="center">'.$reg->num_ventas.'</div>',
        "3"=>'<div align="center">'.$reg->total_cajas.'</div>',
        "4"=>'<div align="right">'.$reg->total_monto.'</div>',
        "5"=>'<div align="right">'.$reg->total_cobrado.'</div>',
        "6"=>'<div align="right">'.$reg->total_saldo.'</div>',
        "7"=>'<div align="center">'.$reg->avg_dias_transcurridos.'</div>',
       
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;
  
   case 'inventarioalmaceninsumo':
    
    $rspta=$consulta->inventarioalmaceninsumo();
    $data=array();

    while ($reg = $rspta->fetch_object()) {
      $fila = array(); // Almacena las columnas de una fila
      for ($i = 0; $i <= 9; $i++) {
          // Construir dinámicamente el nombre de la propiedad
          $propiedad = $i === 0 ? 'articulo' : 'almacen' . $i;

          // Verificar si la propiedad existe y tiene un valor
          if (isset($reg->$propiedad) && !empty($reg->$propiedad)) {
              // Determinar la alineación
              $align = $i === 0 ? "left" : "center";
              $fila[] = "<div align=\"{$align}\">" . htmlspecialchars($reg->$propiedad, ENT_QUOTES, 'UTF-8') . "</div>";
          }
      }
      $data[] = $fila; // Agregar la fila al arreglo principal
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;
  
  case 'inventarioalmacenterminado':
    $rspta = $consulta->inventarioalmacenterminado();
    $data = array();

    while ($reg = $rspta->fetch_object()) {
        $fila = array(); // Almacena las columnas de una fila
        for ($i = 0; $i <= 9; $i++) {
            // Construir dinámicamente el nombre de la propiedad
            $propiedad = $i === 0 ? 'articulo' : 'almacen' . $i;

            // Verificar si la propiedad existe y tiene un valor
            if (isset($reg->$propiedad) && !empty($reg->$propiedad)) {
                // Determinar la alineación
                $align = $i === 0 ? "left" : "center";
                $fila[] = "<div align=\"{$align}\">" . htmlspecialchars($reg->$propiedad, ENT_QUOTES, 'UTF-8') . "</div>";
            }
        }
        $data[] = $fila; // Agregar la fila al arreglo principal
    }

    $results = array(
        "sEcho" => 1, // Información para DataTables
        "iTotalRecords" => count($data), // Total de registros
        "iTotalDisplayRecords" => count($data), // Total de registros visibles
        "aaData" => $data // Datos para el DataTable
    );

    echo json_encode($results);

  break; 
  
  case 'cobranzafechacliente':
    $fecha_inicio     =$_POST['fecha_inicio'];
    $fecha_fin        =$_POST['fecha_fin'];
    $idcliente        =$_POST['idcliente'];
    $idvendedor        =$_POST['idvendedor'];
    $rspta            =$consulta->cobranzafechacliente($fecha_inicio,$fecha_fin,$idcliente,$idvendedor);
    $data             =Array();
     
    while ($reg=$rspta->fetch_object()) {
      $data[]=array(
        "0" => '<div style="text-align:center">'.$reg->fecha.'</div>',
        "1" => '<div style="text-align:left">'.$reg->cliente.'</div>',
        "2" => '<div style="text-align:left">'.$reg->vendedor.'</div>',
        "3" => '<div style="text-align:center">'.$reg->num_comprobante.'</div>',
        "4" => '<div style="text-align:right">'.$reg->pago.'</div>',
        "5" => '<div style="text-align:center">'.$reg->estado.'</div>'
      );
    }
    $results=array(
        "sEcho"=>1,//info para datatables
        "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data); 
    echo json_encode($results);
    //  echo $results;
  break;
  
  
  
}
 ?>